aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xmlsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-07-11 18:59:45 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-07-11 18:59:45 +0200
commit7685ea852475004b2c2db51c43055a232b20ebbb (patch)
tree89ce286820bffde0467dcf3df57a92f9af52f64c /testing/xmlsec/APKBUILD
parent7c71876f7267fa794953509d8e79fb65712a9a8d (diff)
downloadaports-7685ea852475004b2c2db51c43055a232b20ebbb.tar.gz
aports-7685ea852475004b2c2db51c43055a232b20ebbb.tar.bz2
aports-7685ea852475004b2c2db51c43055a232b20ebbb.tar.xz
testing/xmlsec: modernize and stylefixes
Diffstat (limited to 'testing/xmlsec/APKBUILD')
-rw-r--r--testing/xmlsec/APKBUILD44
1 files changed, 22 insertions, 22 deletions
diff --git a/testing/xmlsec/APKBUILD b/testing/xmlsec/APKBUILD
index bca90ffbed..25df0452b0 100644
--- a/testing/xmlsec/APKBUILD
+++ b/testing/xmlsec/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Sander Maijers <S.N.Maijers+Alpine@gmail.com>
pkgname='xmlsec'
pkgver='1.2.22'
-pkgrel='0'
+pkgrel=1
pkgdesc="Provides a C based implementation for XML Signature Syntax and Processing and XML Encryption Syntax and Processing."
url="https://github.com/lsh123/${pkgname}/"
arch="all"
@@ -13,40 +13,40 @@ makedepends="${depends_dev} libxml2-dev libxslt-dev openssl-dev autoconf automak
install=
subpackages="${pkgname}-dev ${pkgname}-doc"
source="${url}/archive/${pkgname}-${pkgver//./_}.tar.gz"
-_builddir="${srcdir}/${pkgname}-${pkgname}-${pkgver//./_}"
+builddir="${srcdir}/${pkgname}-${pkgname}-${pkgver//./_}"
prepare() {
- :
+ cd "${builddir}"
+ ./autogen.sh
}
build() {
- cd "${_builddir}"
- ./autogen.sh &&
- ./configure \
- --build="$CBUILD" \
- --host="$CHOST" \
- --prefix='/usr' \
- --disable-static \
- --enable-pkgconfig \
- --with-default-crypto='openssl' \
- || return 1
- make || return 1
+ cd "${builddir}"
+ ./configure \
+ --build="$CBUILD" \
+ --host="$CHOST" \
+ --prefix='/usr' \
+ --disable-static \
+ --enable-pkgconfig \
+ --with-default-crypto='openssl' \
+ || return 1
+ make || return 1
}
check() {
- cd "${_builddir}" &&
- make -k check || return 1
+ cd "${builddir}" &&
+ make -k check || return 1
}
package() {
- cd "${_builddir}" &&
- make DESTDIR="${pkgdir}" install || return 1
+ cd "${builddir}" &&
+ make DESTDIR="${pkgdir}" install || return 1
- install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}" &&
- install -m644 'COPYING' "${pkgdir}/usr/share/licenses/${pkgname}/" \
- || return 1
+ install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}" &&
+ install -m644 'COPYING' "${pkgdir}/usr/share/licenses/${pkgname}/" \
+ || return 1
}
md5sums="b0bdaeee4cb39bfe56f2d28bae17faa8 xmlsec-1_2_22.tar.gz"
sha256sums="f04da7bb6e20e9b9b7a39bb64cfad6836c665cfa6e14f6316fc24fcac6cbac06 xmlsec-1_2_22.tar.gz"
-sha512sums="f03b2dd9fdd9152e4a13466bf71018a2ef5290425019d7576a6f9e9e40bd30b9e6c1895a1ba65cc819dd56a86ea1c6c47142250c6e0695d5c02d4e0322bd8b67 xmlsec-1_2_22.tar.gz" \ No newline at end of file
+sha512sums="f03b2dd9fdd9152e4a13466bf71018a2ef5290425019d7576a6f9e9e40bd30b9e6c1895a1ba65cc819dd56a86ea1c6c47142250c6e0695d5c02d4e0322bd8b67 xmlsec-1_2_22.tar.gz"